%define mm_major 1
%define mm_minor 1.3
%define mm_version %{mm_major}.%{mm_minor}
%define EAPI_version 2.8.7
%define apache_version 1.3.23
%define release 4mdk

%define sysconfdir /etc
%define apachecontent /var/www/html
%define apachebase %{sysconfdir}/httpd
%define apacheroot /var/www
%define oldapacheroot /home/httpd
%define apachelogs /var/log

Summary: Configuration files for Apache
Name: apache-conf
Version: %{apache_version}
Release: %{release}
Group: System/Servers
URL: http://www.advx.org
License: Apache License
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: apache-common = %{apache_version}
Prereq: mm = %{mm_major}.%{mm_minor}
Requires: lynx >= 2.8.5

Source: httpd.init.mandrake
Source1: httpd.conf
Source2: httpd-perl.conf
Source3: mime.types
Source4: apache.logrotate
Source5: magic.default
Source6: commonhttpd.conf
Source10: Vhosts.conf
Source11: DynamicVhosts.conf
Source12: VirtualHomePages.conf

Source20: index.shtml
Source21: mandrake.html
Source22: optim.html
Source23: logo.gif
Source24: apacheicon.gif
Source25: medbutton.png
Source26: stamp.gif

Source30: advxaddmod
Source31: advxdelmod
Source32: advxfixconf
Source33: advxlogserverstatus
Source34: advxsplitlogfile

Source40: README.apache-conf

%description
This package contains configuration files for apache and apache-mod_perl. It
is necessary for operation of the Apache webserver.

Having those files into a separate modules provides better customization for
OEMs and ISPs, who can modify the look and feel of the Apache webserver
without having to re-compile the whole suite to change a logo or config
file.

%prep

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%install

mkdir -p $RPM_BUILD_ROOT%{apachebase}/conf/
mkdir -p $RPM_BUILD_ROOT%{apachecontent}
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d

install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{apachebase}/conf/httpd.conf
install -D -m644 %{SOURCE6} $RPM_BUILD_ROOT%{apachebase}/conf/commonhttpd.conf
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{apachebase}/conf/httpd-perl.conf
cd $RPM_BUILD_ROOT%{apachebase}/conf/
install -d -m755 addon-modules
install -D -m644 %{SOURCE3} $RPM_BUILD_ROOT%{apachebase}/conf/apache-mime.types
install -D -m644 %{SOURCE5} $RPM_BUILD_ROOT%{apachebase}/conf/magic.default
cp -p apache-mime.types apache-mime.types.default
cp -p magic.default magic
install -d -m755 vhosts
install -D -m644 %{SOURCE10} $RPM_BUILD_ROOT%{apachebase}/conf/vhosts/Vhosts.conf
install -D -m644 %{SOURCE11} $RPM_BUILD_ROOT%{apachebase}/conf/vhosts/DynamicVhosts.conf
install -D -m644 %{SOURCE12} $RPM_BUILD_ROOT%{apachebase}/conf/vhosts/VirtualHomePages.conf

#install misc documentation and logos
install -D -m644 %{SOURCE20} $RPM_BUILD_ROOT/%{apachecontent}/index.shtml
install -D -m644 %{SOURCE22} $RPM_BUILD_ROOT/%{apachecontent}/optim.html
install -D -m644 %{SOURCE21} $RPM_BUILD_ROOT/%{apachecontent}/platform.html
install -d -m755 $RPM_BUILD_ROOT/%{apacheroot}/icons/
install -D -m644 %{SOURCE23} $RPM_BUILD_ROOT/%{apacheroot}/icons/logo.gif
install -D -m644 %{SOURCE24} $RPM_BUILD_ROOT/%{apacheroot}/icons/apacheicon.gif
install -D -m644 %{SOURCE26} $RPM_BUILD_ROOT/%{apacheroot}/icons/stamp.gif
install -D -m644 %{SOURCE25} $RPM_BUILD_ROOT/%{apacheroot}/icons/medbutton.png

install -d -m755 $RPM_BUILD_ROOT/%{apachecontent}/addon-modules/
echo "Get all the latest modules at <a href=http://www.advx.org>www.advx.org</a>" \
	>> $RPM_BUILD_ROOT/%{apachecontent}/addon-modules/HOWTO_get_modules.html
echo "Order deny,allow" \
	> $RPM_BUILD_ROOT/%{apachecontent}/addon-modules/.htaccess
echo "Deny from all" \
	>> $RPM_BUILD_ROOT/%{apachecontent}/addon-modules/.htaccess
echo "Allow from 127.0.0.1" \
	>> $RPM_BUILD_ROOT/%{apachecontent}/addon-modules/.htaccess

# install log rotation stuff
install -d -m755 $RPM_BUILD_ROOT%{sysconfdir}/logrotate.d
install -D -m644 %{SOURCE4} $RPM_BUILD_ROOT%{sysconfdir}/logrotate.d/apache

#Install initscripts
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d
install -m755 %{SOURCE0} $RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d/httpd
rm -f $RPM_BUILD_ROOT%{_sbindir}/apachectl*
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/AESctl
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/apachectl
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/apachectl-perl

install -m755 %{SOURCE30} $RPM_BUILD_ROOT%{_sbindir}
install -m755 %{SOURCE31} $RPM_BUILD_ROOT%{_sbindir}
install -m755 %{SOURCE32} $RPM_BUILD_ROOT%{_sbindir}
install -m755 %{SOURCE33} $RPM_BUILD_ROOT%{_sbindir}
install -m755 %{SOURCE34} $RPM_BUILD_ROOT%{_sbindir}

mkdir -p $RPM_BUILD_ROOT%{_docdir}
install -m644 %{SOURCE40} $RPM_BUILD_ROOT%{_docdir}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache-extramodules
#link modules dir
ln -sf ../..%{_libdir}/apache-extramodules \
	$RPM_BUILD_ROOT%{apachebase}/extramodules


%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%config(noreplace) %{apachebase}/conf/httpd.conf
%config(noreplace) %{apachebase}/conf/commonhttpd.conf
%config(noreplace) %{apachebase}/conf/httpd-perl.conf
%config(noreplace) %{apachebase}/conf/magic
%config(noreplace) %{apachebase}/conf/apache-mime.types
%config(noreplace) %{apachebase}/conf/magic.default
%config(noreplace) %{apachebase}/conf/vhosts
%config(noreplace) %{apachebase}/conf/addon-modules
%attr (-,apache,apache) %{apachecontent}/addon-modules/*
%attr (-,apache,apache) %{apachecontent}/addon-modules/.htaccess
%attr (-,apache,apache) %{apachecontent}/platform.html
%attr (-,apache,apache) %{apachecontent}/optim.html
%attr (-,apache,apache) %config(noreplace) %{apachecontent}/index.shtml
%attr (-,apache,apache) %{apacheroot}/icons/*
%{_sbindir}/*
%config %{sysconfdir}/*.d
%{_docdir}/README.apache-conf
%dir %{_libdir}/apache-extramodules
%{apachebase}/extramodules

%post
%_post_service httpd

%preun
%_preun_service httpd

%changelog
* Wed Mar 13 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-4mdk
- IMPORTANT FIX: add Document root in httpd-perl.conf
- Fixed URL in Spec file

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-3mdk
- Removed the restrictive settings on the /addon-modules directory, and 
  replaced it by a .htaccess so people can read the documentation on the
  modules remotely, by removing the .htaccess.
- s/advx.com/advx.org/ in HOWTO-GET-MODULES file

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-2mdk
- Fix manual path
- Fix configuration files to be more secure, and also to be easier to parse
  by Frontpage and other addons.
- The old advx.com is broken, the new site is www.advx.org
- Misc. fixes to index.shtml (yes, I removed my name from the index.shtml, 
  some people did not like it)

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.23-1mdk
- Apache 1.3.23.
- EAPI 2.8.6.

* Thu Jan 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.22-3mdk
- advxsplitlogfile splits using hours, not minutes.
- Require on lynx (used in httpd.init)

* Wed Oct 17 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.3.22-2mdk
- use a more secure commonhttpd.conf; disable Indexes pretty much everywhere

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.22-1mdk
- apache 1.3.22.

* Tue Oct 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.20-4mdk
- Remove use of RPM_SOURCE_DIR (AKA specfile cleaning).
- make rpmlint happier.

* Wed Sep 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3.20-3mdk
- Change default Mandrake Linux image

* Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.20-2mdk
- fix init script bug

* Tue Jul 10 2001 Philippe Libat <philippe@mandrakesoft.com>  1.3.20-1mdk
- new apache version

* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-3mdk
- fix prereqs

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-2mdk
- fixed bug with mod_perl upgrade
- use _post_service and _preun_service macros
- unset some unneeded (and potentially insecure) environment variables

* Sun Mar 25 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-1mdk
- Created this new package for configuration files
  see description for more info
- Extensive rewrite of the configuration files
- New mod_perl configuration
- New virtualhost logging and dynamic log rotation
- New utilities for adding/removing modules and upgrades
- Apache and apache_mod-perl now use the same set of modules
- Added some SuSE compatibility
